<?php 
	defined('BASEPATH') OR exit('No direct script access allowed');
	
	class Paid_Payment extends CI_Controller
	{
		
		function __construct()
		{
			parent::__Construct ();
			$this->load->database();
			$this->load->model('PaymentItemModel');
			$this->load->model('Paid_Payment_Model');
            $this->load->model('permission_model');
		}

		public function paid()
		{
			$project_id = $this->input->post('project_id');
			$item_id = $this->input->post('item_id');
			$payment_id = $this->input->post('payment_id');
			$payment_step = $this->input->post('payment_step');
			$payment_amount = $this->input->post('payment_amount');
			$pay_amount = $this->input->post('pay_amount');
			$pay_date = $this->input->post('pay_date');
			$pay_note = $this->input->post('pay_note');
			$unpaid_amount = ($payment_amount - $pay_amount);
			if ($unpaid_amount == 0) {
				$status_paid = 1;
				$status_pay = 2;

				$this->data["alert"] = '
					<div class="alert alert-success">
				        <a href="#" class="close" data-dismiss="alert">&times;</a>
				        <strong>Success!</strong> You have paid amount successfully.
				    </div>
				';
			} elseif ($unpaid_amount > 0) {
				$status_paid = 2;
				$status_pay = 2;

				$this->data["alert"] = '
					<div class="alert alert-success">
				        <a href="#" class="close" data-dismiss="alert">&times;</a>
				        <strong>Success!</strong> You have paid amount successfully.
				    </div>
				';
			}
			if($payment_amount >= $pay_amount){
				$data = array(
					'project_id' => $project_id,
					'item_id' => $item_id,
					'payment_id' => $payment_id,
					'paidAmount' => $pay_amount,
					'paidDate' => $pay_date,
					'paidNote' => $pay_note,
				);
				$this->db->insert('nso007_project_payment_paid', $data);

				$data_update = array(
					'paidAmount' => $pay_amount,
					'unpaidAmount' => $unpaid_amount,
					'paymentStatus' => $status_pay,
					'paidStatus' => $status_paid,
					'paidDate' => $pay_date,
					'paymentNote' => $pay_note,
				);
				$this->db->where('paymentID', $payment_id);
				$this->db->update('nso007_project_item_payment', $data_update);

				$this->data['payments'] = $this->PaymentItemModel->getItemByPayment();
				$this->data["icon"] = 'fa fa-money';
				$this->data["title"] = 'Payment';
				$this->load->view('payment_item_view/index.php', $this->data);
			}else{
				$this->data["alert"] = '
					<div class="alert alert-danger">
				        <a href="#" class="close" data-dismiss="alert">&times;</a>
				        <strong>Warning!</strong> Invalid amount for pay.
				    </div>
				';
				$this->data['payments'] = $this->PaymentItemModel->getItemByPayment();
				$this->data["icon"] = 'fa fa-money';
				$this->data["title"] = 'Payment';
				$this->load->view('payment_item_view/index.php', $this->data);
			}
		}

		public function paid_more()
		{
			$project_id = $this->input->post('project_id');
			$item_id = $this->input->post('item_id');
			$payment_id = $this->input->post('payment_id');
			$payment_step = $this->input->post('payment_step');
			$payment_amount = $this->input->post('unpaid_amount');
			$paid_amount = $this->input->post('paid_amount');
			$pay_amount = $this->input->post('pay_amount');
			$pay_date = $this->input->post('pay_date');
			$pay_note = $this->input->post('pay_note');
			$unpaid_amount = ($payment_amount - $pay_amount);
			$sum_paid = $paid_amount + $pay_amount;

			if ($unpaid_amount == 0) {
				$status_paid = 1;
				$status_pay = 2;
				$this->data["alert"] = '
					<div class="alert alert-success">
				        <a href="#" class="close" data-dismiss="alert">&times;</a>
				        <strong>Success!</strong> You have paid amount successfully.
				    </div>
				';
			} elseif ($unpaid_amount > 0) {
				$status_paid = 2;
				$status_pay = 2;
				$this->data["alert"] = '
					<div class="alert alert-success">
				        <a href="#" class="close" data-dismiss="alert">&times;</a>
				        <strong>Success!</strong> You have paid amount successfully.
				    </div>
				';
			}
			if($payment_amount >= $pay_amount){
				$data = array(
					'project_id' => $project_id,
					'item_id' => $item_id,
					'payment_id' => $payment_id,
					'paidAmount' => $pay_amount,
					'paidDate' => $pay_date,
					'paidNote' => $pay_note,
				);
				$this->db->insert('nso007_project_payment_paid', $data);

				$data_update = array(
					'paidAmount' => $sum_paid,
					'unpaidAmount' => $unpaid_amount,
					'paymentStatus' => $status_pay,
					'paidStatus' => $status_paid,
					'paidDate' => $pay_date,
					'paymentNote' => $pay_note,
				);
				$this->db->where('paymentID', $payment_id);
				$this->db->update('nso007_project_item_payment', $data_update);
				
				$this->data['payments'] = $this->PaymentItemModel->getItemByPayment();
				$this->data["icon"] = 'fa fa-money';
				$this->data["title"] = 'Payment';
				$this->load->view('payment_item_view/index.php', $this->data);
			}else{
				$this->data["alert"] = '
					<div class="alert alert-danger">
				        <a href="#" class="close" data-dismiss="alert">&times;</a>
				        <strong>Warning!</strong> Invalid amount for pay.
				    </div>
				';
				$this->data['payments'] = $this->PaymentItemModel->getItemByPayment();
				$this->data["icon"] = 'fa fa-money';
				$this->data["title"] = 'Payment';
				$this->load->view('payment_item_view/index.php', $this->data);
			}
		}


		public function get_paid_report()
		{
			$paidID		=	"1";
			$item_id	=	"1";
			$data['paids'] = $this->Paid_Payment_Model->get_paid($paidID, $item_id);

			$this->load->view('payment_item_view/index1.php', $data);
		}
	}


 ?>

