<?php

	class Loan_model extends CI_Model{



		public function get($clientID){

			$data = $this->db->query("
				SELECT
				nso007_loan.ploID,ploInterest,ploCommission,
				CONCAT(currency.pdwNameFull,psDiscount) AS discount,
				CONCAT(currency.pdwNameFull,psReceive) AS receive,
				CONCAT(currency.pdwNameFull,ploAmount) AS amount,
				CONCAT(currency.pdwNameFull,ploAmountOS) AS amountOS,
				CONCAT(ploDuration,' ',term.pdwNameFull) AS duration, 
				GROUP_CONCAT(piItemCode SEPARATOR ' & ') AS items,
				ploClientID
				FROM nso007_loan
				left JOIN nso007_dropdown AS currency ON nso007_loan.ploCurrency = currency.pdwCode AND currency.pdStatus = 5
				left JOIN nso007_dropdown AS term ON nso007_loan.ploTerm = term.pdwCode AND term.pdStatus = 2
				left JOIN nso007_sale_stock AS sale ON nso007_loan.ploSale = sale.psID
				left JOIN nso007_sale_detail_stock AS detail ON sale.psID = detail.psdSaleID
				left JOIN nso007_item_stock AS item ON detail.psdItemID = item.piID
				WHERE ploClientID = $clientID
				GROUP BY ploID
			");
			return $data->result_array();

		}

		public function getitem($clientID)
		{
			$data = $this->db->query("
				SELECT
				detail.psdPrice,
				item.piItemCode
				FROM nso007_loan
				left JOIN nso007_sale_stock AS sale ON nso007_loan.ploSale = sale.psID
				left JOIN nso007_sale_detail_stock AS detail ON sale.psID = detail.psdSaleID
				left JOIN nso007_item_stock AS item ON detail.psdItemID = item.piID
				WHERE ploClientID = $clientID
			");
			return $data->result_array();
		}

		public function getID($id){

			$data = $this->db->query("SELECT CONCAT(currency.pdwNameFull,ploAmountOS) AS amountOS,

									currency.pdwNameFull AS currency,

									type.pdwNameFull AS type,

									ploInterest,ploDuration,term.pdwNameFull AS term,ploPaymentStep,

									ploAmountOS,ploSale

									FROM nso007_loan 

									left JOIN nso007_dropdown AS currency ON nso007_loan.ploCurrency = currency.pdwCode AND pdStatus = 5

									left JOIN nso007_dropdown AS type ON nso007_loan.ploType = type.pdwCode AND type.pdStatus = 3

									left JOIN nso007_dropdown AS term ON nso007_loan.ploTerm = term.pdwCode AND term.pdStatus = 2

									WHERE ploID = $id"); 

			return $data->row(); 

		}

		public function get_for_commission($id){

			$data = $this->db->query("SELECT ploID, ploCo, ploSale, ploAmount AS loanAmount, ploDiscount AS loanDiscount, plopercentagePay AS loanPercentPaid, ploAmountOS AS loanAmountOS, ploClientID AS client_id FROM nso007_loan WHERE ploID = $id"); 

			return $data->row(); 

		}
		public function get_commission($id){

			$data = $this->db->query("SELECT pcsID,pcsCommisionAmount FROM nso007_commission WHERE pcsLoanID = $id");

			return $data->row();

		}

		public function get_agency_for_commission($id){

			$data = $this->db->query("SELECT CONCAT(pliFristName,' ',pliLastName) AS agency_name FROM nso007_user WHERE pliID = $id AND pliStatus = 1");

			return $data->row(); 

		}

		public function getLoan($id){

			

			$data = $this->db->query("SELECT *,term.pdwNameFull AS term,lPAD(pclID,6,0) AS pclID,

									currency.pdwNameFull AS currency,

									CONCAT(pliFristName,' ',pliLastName) AS agent,

									term.pdwName as termKH,ploAmount,ploAmountOS

									FROM nso007_loan 

									left JOIN nso007_client ON nso007_loan.ploClientID = nso007_client.pclID

									left JOIN nso007_dropdown AS term ON nso007_loan.ploTerm = term.pdwCode AND pdStatus = 2

									left JOIN nso007_dropdown AS currency ON nso007_loan.ploCurrency = currency.pdwCode and currency.pdStatus = 5

									left JOIN nso007_user ON nso007_loan.ploCo = nso007_user.pliID

									WHERE ploID = $id"); 

			return $data->row(); 

		}

        public function getImage($id){

            $data = $this->db->query("SELECT *

									FROM nso007_upload_file 

									WHERE PloanID = $id");

            return $data->result_array();

        }

		public function getLoanSale($id){

			$data = $this->db->query("SELECT

							nso007_sale_stock.psID,

							nso007_sale_stock.psAmount,

							nso007_sale_stock.psReceive,

							nso007_sale_stock.psDiscount,

							nso007_sale_stock.psRemain,

							nso007_loan.ploClientID,

							nso007_loan.plopercentagePay,

							nso007_loan.ploAmountOS,

							nso007_item_stock.piCatagory,

							nso007_item_stock.piSize,

							nso007_item_stock.piProject,

							nso007_item_stock.piItemCode,

							nso007_category_stock.pctName,

							nso007_project_stock.ppjName,
							
							GROUP_CONCAT(nso007_item_stock.piSize SEPARATOR ', ') AS sizes,

							date_format(ploCreateDate, '%Y-%m-%d') AS do_date

							FROM 	nso007_loan

							left JOIN nso007_sale_stock ON nso007_loan.ploSale = nso007_sale_stock.psID

							left JOIN nso007_sale_detail_stock ON nso007_sale_stock.psID = nso007_sale_detail_stock.psdSaleID

							left JOIN nso007_item_stock ON nso007_sale_detail_stock.psdItemID = nso007_item_stock.piID

							left JOIN nso007_category_stock ON nso007_item_stock.piCatagory = nso007_category_stock.pctID

							left JOIN nso007_project_stock ON nso007_item_stock.piProject = nso007_project_stock.ppjID

							WHERE ploID = $id");

			return $data->row();

		}

		public function getLoanId($id){

			$data = $this->db->query("SELECT * ,nso007_loan.ploID,

									nso007_loan.ploAmount,
									nso007_loan.ploAmountLoan,

									nso007_loan.ploAmountOS,
									
									nso007_loan.ploAmountPayment,

									nso007_loan.ploInterest,

									nso007_loan.ploDuration,

									nso007_loan.ploTerm,

									nso007_loan.ploDisburment,

									nso007_loan.ploFristPayDate,

									nso007_loan.ploEndDate,
									nso007_loan.ploStep,

									nso007_loan.ploType FROM nso007_client

									left JOIN nso007_loan ON nso007_loan.ploClientID = nso007_client.pclID where nso007_loan.ploID=$id");

			return $data->row();



		}
		public function getDateFist($id){

			$data = $this->db->query("SELECT MAX(process.plpDatePayment) as date_first FROM nso007_loan_process as process where process.plpLoanID=$id");

			return $data->row();



		}

        public function getAmountOS($id){

            $data = $this->db->query("SELECT * ,nso007_loan.ploID,

									nso007_loan.ploAmount,

									nso007_loan.ploAmountOS,
									
									nso007_loan.ploAmountPayment,

									nso007_loan.ploInterest,

									nso007_loan.ploDuration,

									nso007_loan.ploTerm,

									nso007_loan.ploDisburment,

									nso007_loan.ploFristPayDate,

									nso007_loan.ploEndDate,
									nso007_loan.ploSale,

									nso007_loan.ploType FROM nso007_client

									left JOIN nso007_loan ON nso007_loan.ploClientID = nso007_client.pclID where nso007_loan.ploID=$id");

            return $data->row();
        }

        public function getClientRe($id){

            $data = $this->db->query("SELECT * 
                                      FROM nso007_client_relationship
									  where pcrLoanId=$id");

            return $data->row();
        }

		public function loan_payment($search){

			$date = date('Y-m-d');

			$search = (empty($search))? " WHERE plpDatePayment <= '$date' and (plpPaid = 2 OR ISNULL(plpPaid)) AND plpDes IS NULL ":" $search and (plpPaid = 2 OR ISNULL(plpPaid)) AND plpDes IS NULL ";

			$data = $this->db->query("SELECT *,gender.pdwName AS gender,

								lPAD(pclID,6,0) AS pclID,CONCAT(pclPhone1,'/',pclPhone2) AS phone,

								lPAD(ploID,6,0) AS code_loan

								FROM nso007_loan

								left JOIN nso007_loan_process ON nso007_loan.ploID = nso007_loan_process.plpLoanID

								left JOIN nso007_client ON nso007_loan.ploClientID = nso007_client.pclID

								left JOIN nso007_dropdown AS gender ON nso007_client.pclGender = gender.pdwCode AND gender.pdStatus = 1

								$search group by ploID

							");

			return $data->result_array();

		}

        public function getp($id){
            $data = $this->db->query("
            	SELECT 	ppjName,
						GROUP_CONCAT(piItemCode SEPARATOR ' & ') AS items,
						GROUP_CONCAT(piSize SEPARATOR ', ') AS sizes,
						ploAmount AS prices,
						pclName,
						pclPhone1,
						psReceive,ploAmountOS,ploAmountPayment,
						psDiscount,ploAmountLoan,
						nso007_users.users,
						p_agency.agency,
						date_format(ploCreateDate, '%Y-%m-%d') AS do_date
				FROM nso007_loan
				LEFT JOIN nso007_sale_detail_stock ON nso007_loan.ploSale = nso007_sale_detail_stock.psdSaleID
				LEFT JOIN nso007_sale_stock ON nso007_sale_detail_stock.psdSaleID = nso007_sale_stock.psID
				LEFT JOIN nso007_item_stock ON nso007_item_stock.piID = nso007_sale_detail_stock.psdItemID
				LEFT JOIN nso007_project_stock ON nso007_project_stock.ppjID = nso007_item_stock.piProject
				LEFT JOIN nso007_client ON nso007_client.pclID = nso007_sale_stock.psClientID
				LEFT JOIN (SELECT pliID , CONCAT(nso007_user.pliFristName,' ',nso007_user.pliLastName) AS users
								FROM nso007_user) AS nso007_users ON nso007_loan.ploStaff = nso007_users.pliID
				LEFT JOIN (SELECT pliID , CONCAT(nso007_user.pliFristName,' ',nso007_user.pliLastName) AS agency
								FROM nso007_user) AS p_agency ON nso007_loan.ploCo = p_agency.pliID
				WHERE ploID = $id
				GROUP BY psID
            ");
            return $data->row();
        }
        // Select name of item in one field
        public function getitemsname($id)
        {
        	$data = $this->db->query("
				SELECT GROUP_CONCAT(item.piItemCode SEPARATOR ' & ') AS items,ppjAddress
				FROM nso007_loan AS loan
				LEFT JOIN nso007_sale_stock AS sale ON loan.ploSale = sale.psID
				LEFT JOIN nso007_sale_detail_stock AS detail ON sale.psID = detail.psdSaleID
				LEFT JOIN nso007_item_stock AS item ON detail.psdItemID = item.piID
				LEFT JOIN nso007_project_stock AS project ON project.ppjID = item.piProject
				WHERE ploID = $id GROUP BY sale.psID
        	");
        	return $data->row();
        }

		public function get_description($id)

		{

			$query = $this->db->query("

				SELECT project.ppjName AS project, category.pctName AS category, item.piItemCode AS item

				FROM nso007_sale_detail_stock AS stock

				LEFT JOIN nso007_item_stock AS item ON stock.psdItemID = item.piID

				LEFT JOIN nso007_category_stock AS category ON item.piCatagory = category.pctID

				LEFT JOIN nso007_project_stock AS project ON item.piProject = project.ppjID

				WHERE stock.psdID = $id

			");

			return $query->row();

		}

		public function get_relationship($id)
		{
			$data = $this->db->query("
				SELECT * FROM nso007_client_relationship WHERE pcrLoanId = $id
			");
			return $data->row();
		}

		public function get_contract_bordering($id)
		{
			$data = $this->db->query("
				SELECT * FROM nso007_contract_bordering WHERE bordering_loanid = $id
			");
			return $data->row();
		}

	}

?>
