<?php
	class Loan_process_model extends CI_Model{

		public function getPaid($loanID){
			$data = $this->db->query("SELECT COUNT(plpPaid) AS paid
									FROM nso007_loan_process
									WHERE plpLoanID = $loanID AND plpPaid = 1");

			return $data->row();
		}
		public function getDatePay($loanID){
			$data = $this->db->query("SELECT plpDatePayment
									FROM nso007_loan_process
									WHERE plpLoanID = $loanID AND plpPaid is null LIMIT 1");

			return $data->row();
		}
		public function paidLast($loanID){
			$data = $this->db->query("SELECT plpNo FROM nso007_loan_process
									WHERE plpPaid = 1 AND plpLoanID = $loanID ORDER BY plpNo DESC LIMIT 1");

			return $data->row();
		}
		public function notPay($loanID){
			$data = $this->db->query("SELECT plpDatePayment,plpInterest,plpPrinciple,plpNo,pdwNameFull,plpOwe,plpID
									FROM nso007_loan_process
									LEFT JOIN nso007_loan ON nso007_loan_process.plpLoanID = nso007_loan.ploID
									LEFT JOIN nso007_dropdown ON nso007_loan.ploCurrency = nso007_dropdown.pdwCode AND pdStatus = 5
									WHERE plpLoanID = $loanID AND plpPaid IS NULL AND plpDes IS NULL
			");

			return $data->result_array();
		}
		public function get($loanID){
			$data = $this->db->query("SELECT plpNo,plpDatePayment,plpID,plpPaid,plpDatePaid,
									CONCAT(currency.pdwNameFull, ' ', plpInterest) AS plpInterest,
									CONCAT(currency.pdwNameFull, ' ', plpPrinciple) AS plpPrinciple,
									CONCAT(currency.pdwNameFull, ' ', plpAccPrinciple) AS plpAccPrinciple,
									CONCAT(currency.pdwNameFull, ' ', plpAmountPaid) AS plpAmountPaid,
									CONCAT(currency.pdwNameFull, ' ', plpAmountCredit) AS plpAmountCredit,
									CONCAT(currency.pdwNameFull, ' ', plpAccInterest) AS plpAccInterest,
									CONCAT(currency.pdwNameFull, ' ', plpOwe) AS plpOwe,
									CONCAT(currency.pdwNameFull, ' ', plpOwePay) AS plpOwePay,
									CONCAT(currency.pdwNameFull, ' ', plpPrincipleOS) AS plpPrincipleOS,plpStatus
									FROM nso007_loan_process
									LEFT JOIN nso007_loan ON nso007_loan_process.plpLoanID = nso007_loan.ploID
									LEFT JOIN nso007_dropdown AS currency ON nso007_loan.ploCurrency = currency.pdwCode AND currency.pdStatus = 5
									WHERE plpLoanID = $loanID AND plpDes IS NULL");

			return $data->result_array();
		}
		public function getSumStaus($loanID){
			$data = $this->db->query("SELECT sum(plpStatus) as sumStatus
									FROM nso007_loan_process
									WHERE plpLoanID = $loanID AND plpDes IS NULL");

            return $data->row();
		}
		public function getTotalSum($loanID){
			$data = $this->db->query("
				SELECT 
					SUM(plpInterest) AS totalInterest,
					SUM(plpPrinciple) AS totalPrinciple,
					SUM(plpOwe) AS totalplpOwe
				FROM nso007_loan_process
				LEFT JOIN nso007_loan ON nso007_loan_process.plpLoanID = nso007_loan.ploID
				LEFT JOIN nso007_dropdown AS currency ON nso007_loan.ploCurrency = currency.pdwCode AND currency.pdStatus = 5
				WHERE plpLoanID = $loanID AND plpDes IS NULL
			");
			return $data->row();
		}


		public function getLoanPayment($id){
			$data = $this->db->query("
				SELECT		plpID,
				plpNo,
				ppjName,
				pclName,
				GROUP_CONCAT(piItemCode SEPARATOR ' & ') AS items,
				(plpOwe - plpOwePay) AS paid,
				date_format(plpCreatedDate, '%Y-%m-%d') AS do_date,
				plpNote
				FROM nso007_loan_process
				LEFT JOIN nso007_loan ON nso007_loan_process.plpLoanID = nso007_loan.ploID
				LEFT JOIN nso007_sale_detail_stock ON nso007_loan.ploSale = nso007_sale_detail_stock.psdSaleID
				LEFT JOIN nso007_item_stock ON nso007_item_stock.piID = nso007_sale_detail_stock.psdItemID
				LEFT JOIN nso007_project_stock ON nso007_project_stock.ppjID = nso007_item_stock.piProject
				LEFT JOIN nso007_client ON nso007_loan.ploClientID = nso007_client.pclID
				WHERE plpID = $id
				GROUP BY nso007_sale_detail_stock.psdSaleID
			");

			return $data->row();
		}

		public function pay($id){
			$data = $this->db->query("SELECT
									CONCAT(pdwNameFull,plpInterestPay) AS interest,
									CONCAT(pdwNameFull,plpPrinciplePay) AS principle,
									plpInterestPay,plpPrinciplePay,plpDatePayment,plpOwePay,
									plpLoanID
									FROM nso007_loan_process 
									LEFT JOIN nso007_loan ON nso007_loan_process.plpLoanID = nso007_loan.ploID
									LEFT JOIN nso007_dropdown ON nso007_loan.ploCurrency = nso007_dropdown.pdwCode AND pdStatus = 5
									WHERE plpID = $id");
								
			return $data->row(); 
		}

	}
?>