<?php
	class Report_collection_model extends CI_Model {
		
		public function report_payment_complate($search){
			$search = (empty($search))? " WHERE ploStatus = 2 ":" $search AND ploStatus = 2 ";
			
			$data = $this->db->query("SELECT psdItemID AS item_id, piItemCode AS item_code, ppjName AS project_name, pctName AS category_name,
									lPAD(pclID,6,0) AS pclID,pclName,pclDOB,pcllDCard,pclPhone1,ploInterest,
									ploAmount,currency.pdwNameFull AS currency,gender.pdwNameFull AS gender,
									ploEndDate
									FROM nso007_loan
									LEFT JOIN nso007_client ON nso007_loan.ploClientID = nso007_client.pclID
									LEFT JOIN nso007_dropdown AS gender ON nso007_client.pclGender = gender.pdwCode AND gender.pdStatus = 1
									LEFT JOIN nso007_dropdown AS currency ON nso007_loan.ploCurrency = currency.pdwCode AND currency.pdStatus = 5
									LEFT JOIN nso007_sale_detail_stock AS sale_detail ON nso007_loan.ploSale = sale_detail.psdSaleID
									LEFT JOIN nso007_item_stock AS item ON sale_detail.psdItemID = item.piID
									LEFT JOIN nso007_project_stock AS project ON item.piProject = project.ppjID
									LEFT JOIN nso007_category_stock AS category ON item.piCatagory = category.pctID
									$search GROUP BY ploSale");
			return $data->result_array();
		}
		
		public function report_collection($search){
			$search = (empty($search))? " WHERE !ISNULL(plpNo) AND (plpPaid IS NULL OR plpPaid = 2) ":" $search AND !ISNULL(plpNo) AND (plpPaid IS NULL OR plpPaid = 2) ";
			
			$data = $this->db->query("SELECT psdItemID AS item_id, piItemCode AS item_code, ppjName AS project_name, pctName AS category_name,
										lPAD(ploID,6,0) AS ploID,plpDatePayment,ploCo,lPAD(pclID,6,0) AS pclID,pclName,
										gender.pdwNameFull AS gender,pclPhone1,plpNo,
										CONCAT(pliFristName,' ',pliLastName) AS userName,
										plpInterestPay,plpPrinciplePay,currency.pdwNameFull AS currency,GROUP_CONCAT(item.piItemCode SEPARATOR ' & ') AS items
										FROM nso007_loan_process
										LEFT JOIN nso007_loan ON nso007_loan_process.plpLoanID = nso007_loan.ploID
										LEFT JOIN nso007_client ON nso007_loan.ploClientID = nso007_client.pclID
										LEFT JOIN nso007_dropdown AS gender ON nso007_client.pclGender = gender.pdwCode AND gender.pdStatus = 1
										LEFT JOIN nso007_user ON nso007_loan.ploCo = nso007_user.pliID
										LEFT JOIN nso007_dropdown AS currency ON nso007_loan.ploCurrency = currency.pdwCode AND currency.pdStatus = 5
										LEFT JOIN nso007_sale_detail_stock AS sale_detail ON nso007_loan.ploSale = sale_detail.psdSaleID
										LEFT JOIN nso007_item_stock AS item ON sale_detail.psdItemID = item.piID
										LEFT JOIN nso007_project_stock AS project ON item.piProject = project.ppjID
										LEFT JOIN nso007_category_stock AS category ON item.piCatagory = category.pctID
										$search  GROUP BY plpNo ,plpLoanID ORDER BY plpID
										");
			return $data->result_array();
		}
		public function report_collection_result($search){
			$search = (empty($search))? " WHERE !ISNULL(plpNo) AND plpPaid = 1 ":" $search AND !ISNULL(plpNo) AND plpPaid = 1 ";
			
			$data = $this->db->query("SELECT psdItemID AS item_id, GROUP_CONCAT(item.piItemCode SEPARATOR ' & ') AS item_code, ppjName AS project_name, pctName AS category_name,
										lPAD(ploID,6,0) AS ploID,plpDatePayment,
										ploCo,
										lPAD(pclID,6,0) AS pclID,pclName,
										gender.pdwNameFull AS gender,pclPhone1,plpNo,
										CONCAT(pliFristName,' ',pliLastName) AS userName,
										plpInterest,
										plpPrinciple,
										currency.pdwNameFull AS currency
										FROM nso007_loan_process
										LEFT JOIN nso007_loan ON nso007_loan_process.plpLoanID = nso007_loan.ploID
										LEFT JOIN nso007_client ON nso007_loan.ploClientID = nso007_client.pclID
										LEFT JOIN nso007_dropdown AS gender ON nso007_client.pclGender = gender.pdwCode AND gender.pdStatus = 1
										LEFT JOIN nso007_user ON nso007_loan.ploCo = nso007_user.pliID
										LEFT JOIN nso007_dropdown AS currency ON nso007_loan.ploCurrency = currency.pdwCode AND currency.pdStatus = 5
										LEFT JOIN nso007_sale_detail_stock AS sale_detail ON nso007_loan.ploSale = sale_detail.psdSaleID
										LEFT JOIN nso007_item_stock AS item ON sale_detail.psdItemID = item.piID
										LEFT JOIN nso007_project_stock AS project ON item.piProject = project.ppjID
										LEFT JOIN nso007_category_stock AS category ON item.piCatagory = category.pctID
										$search GROUP BY plpNo ,plpLoanID ORDER BY plpID
										");
			return $data->result_array();
		}
		public function report_history($search){
			
			$data = $this->db->query("SELECT pclName,ploID,plpDatePayment,plpDatePaid,lPAD(pclID,6,0) AS pclID,pclName,
									gender.pdwNameFull as gender,pclPhone1,COUNT(DISTINCT(ploID)) AS ploID,
									pclDOB,
									CASE 
										 WHEN Max(TIMESTAMPDIFF(Day,plpDatePayment,plpDatePaid)) >  9 then 'bad'
										 WHEN Max(TIMESTAMPDIFF(Day,plpDatePayment,plpDatePaid)) >  4 then 'fairly good'
										 ELSE 'Good'
										END as History,
										Max(TIMESTAMPDIFF(Day,plpDatePayment,plpDatePaid)) as HistroyScore
									FROM
									nso007_loan
									LEFT JOIN nso007_loan_process ON nso007_loan.ploID = nso007_loan_process.plpLoanID
									LEFT JOIN nso007_client ON nso007_loan.ploClientID = nso007_client.pclID
									LEFT JOIN nso007_dropdown AS gender ON nso007_client.pclGender = gender.pdwCode AND pdStatus = 1
									$search
									GROUP BY pclID
										");
			return $data->result_array();
		}
		public function report_dibusement($search){
			
			$data = $this->db->query("SELECT
										ploID,
										pclName,
										gender.pdwNameFull AS gender,
										pclPhone1,
										ploDisburment,
										term.pdwNameFull AS term,
										ploDuration,
										ploInterest,
										ploAmount,
										currency.pdwNameFull AS currency
										FROM
										nso007_loan
										LEFT JOIN nso007_client ON nso007_loan.ploClientID = nso007_client.pclID
										LEFT JOIN nso007_dropdown AS gender ON nso007_client.pclGender = gender.pdwCode AND gender.pdStatus = 1
										LEFT JOIN nso007_dropdown AS term ON nso007_loan.ploTerm = term.pdwCode AND term.pdStatus = 2
										LEFT JOIN nso007_dropdown AS currency ON nso007_loan.ploCurrency = currency.pdwCode AND currency.pdStatus = 5
										$search
										");
			return $data->result_array();
		}
		public function report_arrear($search){
			$date = date('Y-m-d');
			$search = (empty($search))? " WHERE (plpPaid = 2 OR ISNULL(plpPaid)) AND plpDes IS NULL AND plpDatePayment < '$date' ":" $search AND (plpPaid = 2 OR ISNULL(plpPaid)) AND plpDes IS NULL AND plpDatePayment < '$date$date' ";
			$data = $this->db->query("SELECT
										nso007_loan_process.plpDatePayment,
										nso007_client.pclName,
										currency.pdwNameFull AS currency,
										lPAD(pclID,6,0) AS pclID,ploID,gender.pdwNameFull AS gender,pclPhone1,ploDisburment,
										ploAmountOS,plpInterestPay,plpPrinciplePay
										FROM
										nso007_loan_process
										LEFT JOIN nso007_loan ON nso007_loan_process.plpLoanID = nso007_loan.ploID
										LEFT JOIN nso007_client ON nso007_loan.ploClientID = nso007_client.pclID
										LEFT JOIN nso007_dropdown AS currency ON nso007_loan.ploCurrency = currency.pdwCode AND currency.pdStatus = 5
										LEFT JOIN nso007_dropdown AS gender ON nso007_client.pclGender = gender.pdwCode AND gender.pdStatus = 1
										$search
										GROUP BY ploID ORDER BY plpDatePayment

										");
			return $data->result_array();
		}
        public function report_payment($search){

            $search = (empty($search))? "" : "$search";
            $data = $this->db->query("SELECT
                                            ppjName,
                                            pctName,
                                            GROUP_CONCAT(piItemCode SEPARATOR ' & ') AS items,
                                            pclName,
                                            psReceive,
                                            psDiscount,
                                            ploAmount,
                                            ploAmountOS
                                        FROM
                                            nso007_sale_stock AS s
                                        LEFT JOIN nso007_loan AS loan ON s.psID = loan.ploSale
                                        LEFT JOIN nso007_client AS clin ON s.psClientID = clin.pclID
                                        LEFT JOIN nso007_sale_detail_stock AS detail ON s.psID = detail.psdSaleID
                                        LEFT JOIN nso007_item_stock AS item ON detail.psdItemID = item.piID
                                        LEFT JOIN nso007_category_stock AS cat ON item.piCatagory = cat.pctID
                                        LEFT JOIN nso007_project_stock AS pro ON item.piProject = pro.ppjID 
                                        $search
                                        GROUP BY
                                            s.psID

										");


            return $data->result_array();
        }
		
	}
?>