<?php $this->load->view('template/header.php');?>
<?php $this->load->view('template/body.php');?>

	<!-- /.data -->
	<div class="row">
		<div class="col-md-12">
			<div class="col-md-12">
			<!-- BEGIN SAMPLE FORM PORTLET-->
			<div class="portlet light bordered">
				<div class="portlet-title">
					<div class="caption font-red-sunglo">
						<i class="fa fa-list font-red-sunglo"></i>
						<span class="caption-subject sbold uppercase"><?php echo zphrase('Project Detail');?></span>
					</div>
					<div class="actions">
						<div class="btn-group">
							<a class="btn btn-sm green " href="<?php echo site_url('Projectplanning/index');?>"> 
								<i class="fa fa-reply"></i>
								<?php echo zphrase('Back');?>
							</a>
						</div>
					</div>
				</div>
				<div class="portlet-body">
					<form class="form-horizontal" role="form">
						<div class="form-body">
							<div class="row">
								<?php foreach($projects as $project): ?>
								<div class="col-md-12">
									<div class="col-md-6">
										<div class="form-group">
											<label class="col-md-3 control-label"><?php echo zphrase('Project Name');?></label>
											<div class="col-md-9">
													<input type="hidden" name="project_id" value="<?php echo $project->projectID; ?>">
													<input type="text" class="form-control" name="project_name" value="<?php echo $project->projectName;?>" disabled>
											</div>
										</div>
										<div class="form-group">
											<label class="col-md-3 control-label"><?php echo zphrase('Project Size');?></label>
											<div class="col-md-9">
												<input type="text" class="form-control" name="project_size" value="<?php echo $project->projectSize;?>" disabled>
											</div>
										</div>
										<div class="form-group">
											<label class="col-md-3 control-label"><?php echo zphrase('Project Cost');?></label>
											<div class="col-md-9">
												<input type="text" class="form-control" name="project_cost" value="<?php echo $project->projectCost;?>" disabled>
											</div>
										</div>
									</div>
									
									<div class="col-md-6">
										<div class="form-group">
											<label class="col-md-3 control-label"><?php echo zphrase(' Date');?></label>
											<div class="col-md-9">
												<input type="text" class="form-control" name="project_date" value="<?php echo $project->projectDate;?>" disabled>
											</div>
										</div>
										<div class="form-group">
											<label class="col-md-3 control-label"><?php echo zphrase('Location');?></label>
											<div class="col-md-9">
												<input type="text" class="form-control" name="project_address" value="<?php echo $project->projectAddress;?>" disabled>
											</div>
										</div>
									</div>
								</div>
								<?php endforeach; ?>
							</div>
						</div>
					</form>
				</div>
				<div class="portlet-title">
					<div class="caption font-red-sunglo">
						<i class="fa fa-list font-red-sunglo"></i>
						<span class="caption-subject sbold uppercase"><?php echo zphrase('Project Item');?></span>
					</div>
				</div>
				<div class="portlet-body">
					<div class="table-scrollable">
						<table class="table table-striped table-bordered table-hover dt-responsive" width="100%" id="datatable">
							<thead>
								<tr>
									<th><?php echo zphrase('No.');?></th>
									<th><?php echo zphrase('Item Name');?></th>
									<th><?php echo zphrase('Land Size');?></th>
									<th><?php echo zphrase('Price / m<sup>2</sup>');?></th>
									<th><?php echo zphrase('Total Price');?></th>
									<th><?php echo zphrase('Location');?></th>
									<th><?php echo zphrase(' Date');?></th>
									<th width="5%"><?php echo zphrase('Certificate');?></th>
									<th width="10%"><?php echo zphrase('Payment');?></th>
								</tr>
							</thead>
							<tbody>
								<?php foreach($items as $item): ?>
									<tr>
										<td><?php echo $item->itemID;?></td>
										<td><?php echo $item->itemName;?></td>
										<td><?php echo $item->itemSize;?> m<sup>2</sup></td>
										<td><?php echo "$ ".($item->itemCost);?></td>
										<td><?php echo "$ ".($item->itemTotalCost);?></td>
										<td><?php echo $this->zone->help('getaddress',$item->itemAddress);?></td>
										<td><?php echo $item->itemDate;?></td>
										<td align="center"><a href="<?php echo base_url('upload/pdf_project_item/'.$item->itemCertificate); ?>" class="btn btn-sm btn-outline-success"><i class="fa fa-file-pdf-o" aria-hidden="true"></i></a></td>
										<td>
											<a class="btn btn-sm btn-outline-success" data-toggle="tooltip" href="<?php echo site_url('PaymentItem/addnew/'.$item->itemID); ?>" data-placement="bottom" title="Add!"><i class="fa fa-plus"></i></a>
											<a class="btn btn-sm btn-outline-success" data-toggle="tooltip" href="<?php echo site_url('PaymentItem/view/'.$item->itemID); ?>" data-placement="bottom" title="View!"><i class="fa fa-eye"></i></a>
										</td>
									</tr>
								<?php endforeach; ?>
								
							</tbody>
						</table>
					</div>
				</div>
			</div>
		</div>
	</div>
	<!-- /.end data -->
	<script>
		function btnDelete(obj){ 
			var id = $(obj).closest("tr").attr("pd");
			$.ajax({
				url: "<?php echo site_url("language/form_delete")?>/"+id,
				type: "get",
				success: function(data){
					var d = $.parseJSON(data);
					$(".clID").val(id);
				}
			});
		}
	</script>
<?php $this->load->view('template/footer.php');?>
<script src="<?php echo base_url(); ?>assets/global/plugins/datatables/datatables.min.js" type="text/javascript"></script>
<script src="<?php echo base_url(); ?>assets/global/plugins/datatables/plugins/bootstrap/datatables.bootstrap.js" type="text/javascript"></script>
<script>
  $('#datatable').dataTable();
</script>
